#ifndef ALARMDIALOG_H
#define ALARMDIALOG_H

#include "sensorservice.h"

#include <QDialog>

namespace Ui {
class alarmdialog;
}

class alarmdialog : public QDialog
{
    Q_OBJECT

public:
    explicit alarmdialog(QDialog *parent = nullptr,
                         const QString &sensorId = "",
                         const QString &sensorName = "",
                         const QString &group = "",
                         const QString &dateStart = "",
                         const QString &dateEnd = "",
                         SensorService *sensorService = nullptr);
    ~alarmdialog();

private:
    Ui::alarmdialog *ui;

signals:
    void dialogClosed();

private slots:
    void onCancelButtonClicked();
    void onStatisticButtonClicked();

private:
    SensorService *_sensorService;

};

#endif // ALARMDIALOG_H
